Loading...
Searching...
No Matches
DObject.h File Reference

Defines the DObject class, a universal data container for the project. More...

`#include "Metadata.h"`
`#include <variant>`
`#include <memory>`
`#include <vector>`
`#include <string>`
`#include <mutex>`
`#include <map>`
`#include <functional>`

Go to the source code of this file.

## Classes

class | DObject
| A universal data container class. More...

## Detailed Description

Defines the DObject class, a universal data container for the project.

The DObject class encapsulates arbitrary data and its associated metadata, providing a consistent interface for public-facing functions. It includes support for dynamically registered plugins.